Bug 2987 - With PHP eAccelerator plugin enabled no exception thrown can be caught
: With PHP eAccelerator plugin enabled no exception thrown can be caught
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 18:22 MSD by Emanuel-Emeric Andrasi
Modified: 2014-11-06 19:37 MSK (History)
1 user (show)

See Also:
RPM Package: php-eaccelerator-0.9.6.1git20120725-12-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel-Emeric Andrasi 2013-10-26 18:22:10 MSD
Description of problem:
After installing the php eAccelerator plugin no exception thrown can be caught in PHP.


Version-Release number of selected component (if applicable):
cat /etc/release && uname -a
ROSA Desktop Fresh R1 release 2012.1 for x86_64
Linux tachyon 3.10.9-nrj-laptop-1rosa #1 SMP PREEMPT Tue Aug 27 22:09:10 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux

php-eaccelerator-0.9.6.1git20120725-12-rosa2012.1.x86_64

How reproducible:
Use the Example 1 from here http://php.net/manual/ro/language.exceptions.php the output should be as specified in the manual, instead you get an "Uncaught exception" message.


Steps to Reproduce:

1. Create a php file ( Example 1 from http://php.net/manual/ro/language.exceptions.php )

2. Run in browser via Apache

3. Enjoy the stacktrace.
Comment 1 Denis Silakov 2014-04-03 15:36:12 MSD
Well, if you meet any problems with eaccelerator - just disable/remove it. It can definitely introduce a lot of troubles in certain conditions (including apache segfaults), and maybe we will remove it from our repositories in future.
Comment 2 Denis Silakov 2014-11-06 19:37:06 MSK
The resolution is like the following - eaccelerator has been moved to contrib repository and removed from task-lamp-php dependencies. So it is still available in repositories, but the only way to get it is to install it explicitly. You are free to use it at your own risk, but if you meet any problems - just disable it. It is a quite old program and chances are low that it will be fixed.